/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as createColorClasses } from './theme.js';

const gascoCardHeaderMdCss = ":host{--background:transparent;--color:inherit;display:flex;justify-content:space-between;align-items:center;position:relative;background:var(--background);color:var(--color)}:host(.gasco-color){background:var(--gasco-color-base);color:var(--gasco-color-contrast)}:host{padding-left:16px;padding-right:16px;padding-top:16px;padding-bottom:16px}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){:host{padding-left:unset;padding-right:unset;-webkit-padding-start:16px;padding-inline-start:16px;-webkit-padding-end:16px;padding-inline-end:16px}}::slotted(gasco-card-title:not(:first-child)){margin-top:8px}";

const GascoCardHeader$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /**
     * If `true`, the card header will be translucent.
     */
    this.translucent = false;
  }
  render() {
    return (h(Host, { class: createColorClasses(this.color, {
        'card-header-translucent': this.translucent,
        'gasco-inherit-color': true,
      }) }, h("slot", null)));
  }
  static get style() { return gascoCardHeaderMdCss; }
}, [1, "gasco-card-header", {
    "color": [513],
    "translucent": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-card-header"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-card-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoCardHeader$1);
      }
      break;
  } });
}

const GascoCardHeader = GascoCardHeader$1;
const defineCustomElement = defineCustomElement$1;

export { GascoCardHeader, defineCustomElement };
